import { Resource } from 'cdktf';
import { Construct } from 'constructs';
/**
 * @stability stable
 */
export interface EnableCloudTrailProps {
    /**
     * @stability stable
     */
    readonly bucketName?: string;
    /**
     * @stability stable
     */
    readonly bucketKeyPrefix?: string;
    /**
     * @stability stable
     */
    readonly tags?: {
        [key: string]: string;
    };
}
/**
 * @stability stable
 */
export declare class EnableCloudTrail extends Resource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, name: string, props: EnableCloudTrailProps);
    /**
     * Add Config Rule for Cloudtrail enabled.
     *
     * @param tags Config Rule tags.
     * @stability stable
     */
    addConfigRule(tags?: any): void;
}
