import { Resource } from 'cdktf';
import { Construct } from 'constructs';
/**
 * @stability stable
 */
export interface EnableGuarddutyProps {
    /**
     * @stability stable
     */
    readonly findingPublishingFrequency?: string;
    /**
     * @stability stable
     */
    readonly members?: any;
    /**
     * @stability stable
     */
    readonly tags?: {
        [key: string]: string;
    };
}
/**
 * @stability stable
 */
export interface AcceptMemberAccountOptions {
    /**
     * @stability stable
     */
    readonly accountId: string;
    /**
     * @stability stable
     */
    readonly email: string;
}
/**
 * @stability stable
 */
export interface InviteAccepterMemberAccountOptions {
    /**
     * @stability stable
     */
    readonly masterAccountId: string;
}
/**
 * @stability stable
 */
export declare class EnableGuardduty extends Resource {
    /**
     * @stability stable
     */
    readonly id: string;
    /**
     * @stability stable
     */
    constructor(scope: Construct, name: string, props: EnableGuarddutyProps);
    /**
     * Add Config Rule for Guardduty.
     *
     * @param tags Config Rule tags.
     * @stability stable
     */
    addConfigRule(tags?: any): void;
    /**
     * Accept Member Account.
     *
     * @param id Guardduty member id.
     * @param options GuarddutyMember options.
     * @stability stable
     */
    acceptMemberAccount(id: string, options: AcceptMemberAccountOptions): void;
    /**
     * Accept Member Account.
     *
     * @param id Guardduty member id.
     * @param options GuarddutyMember options.
     * @stability stable
     */
    inviteAccepterMemberAccount(id: string, options: InviteAccepterMemberAccountOptions): void;
}
