import { Resource } from 'cdktf';
import { Construct } from 'constructs';
/**
 * @stability stable
 */
export interface GuarddutyOptions {
    /**
     * @stability stable
     */
    readonly findingPublishingFrequency?: string;
    /**
     * @stability stable
     */
    readonly members?: any;
    /**
     * @stability stable
     */
    readonly tags?: {
        [key: string]: string;
    };
}
/**
 * @stability stable
 */
export interface CloudTrailOptions {
    /**
     * @stability stable
     */
    readonly bucketName?: string;
    /**
     * @stability stable
     */
    readonly bucketKeyPrefix?: string;
    /**
     * @stability stable
     */
    readonly tags?: {
        [key: string]: string;
    };
}
/**
 * @stability stable
 */
export interface VpcFlowLogOptions {
    /**
     * @stability stable
     */
    readonly vpcId: string;
    /**
     * @stability stable
     */
    readonly logDestination?: string;
    /**
     * @stability stable
     */
    readonly logDestinationType?: string;
    /**
     * @stability stable
     */
    readonly logFormat?: string;
    /**
     * @stability stable
     */
    readonly trafficType?: string;
    /**
     * @stability stable
     */
    readonly tags?: {
        [key: string]: string;
    };
}
/**
 * @stability stable
 */
export interface BaseLineProps {
    /**
     * @stability stable
     */
    readonly enableIamAccountPasswordPolicy?: boolean;
    /**
     * @stability stable
     */
    readonly enableGuardduty?: boolean;
    /**
     * @stability stable
     */
    readonly guarddutyOptions?: GuarddutyOptions;
    /**
     * @stability stable
     */
    readonly enableCloudtrail?: boolean;
    /**
     * @stability stable
     */
    readonly cloudtrailOptions?: CloudTrailOptions;
    /**
     * @stability stable
     */
    readonly enableEbsEncryption?: boolean;
    /**
     * @stability stable
     */
    readonly enableVpcFlowLog?: boolean;
    /**
     * @stability stable
     */
    readonly vpcFlowLogOptions?: VpcFlowLogOptions;
    /**
     * @stability stable
     */
    readonly enableSecurityHub?: boolean;
}
/**
 * @stability stable
 */
export declare class BaseLine extends Resource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, name: string, props: BaseLineProps);
}
