import { Resource } from 'cdktf';
import { Construct } from 'constructs';
/**
 * @stability stable
 */
export interface EnableAccountPasswordPolicyProps {
    /**
     * @stability stable
     */
    readonly minimumPasswordLength?: number;
    /**
     * @stability stable
     */
    readonly passwordReusePrevention?: number;
    /**
     * @stability stable
     */
    readonly requireNumbers?: boolean;
    /**
     * @stability stable
     */
    readonly requireUppercaseCharacters?: boolean;
    /**
     * @stability stable
     */
    readonly requireLowercaseCharacters?: boolean;
    /**
     * @stability stable
     */
    readonly requireSymbols?: boolean;
    /**
     * @stability stable
     */
    readonly allowUsersToChangePassword?: boolean;
    /**
     * @stability stable
     */
    readonly maxPasswordAge?: number;
}
/**
 * @stability stable
 */
export declare class EnableAccountPasswordPolicy extends Resource {
    /**
     * @stability stable
     */
    readonly expirePasswords: boolean;
    /**
     * @stability stable
     */
    constructor(scope: Construct, name: string, props: EnableAccountPasswordPolicyProps);
    /**
     * Add Config Rule for Account Password policy.
     *
     * @param tags Config Rule tags.
     * @stability stable
     */
    addConfigRule(tags?: any): void;
}
