import { Resource } from 'cdktf';
import { Construct } from 'constructs';
/**
 * @stability stable
 */
export interface EnableVpcFlowLogProps {
    /**
     * @stability stable
     */
    readonly vpcId: string;
    /**
     * @stability stable
     */
    readonly logDestination?: string;
    /**
     * @stability stable
     */
    readonly logDestinationType?: string;
    /**
     * @stability stable
     */
    readonly logFormat?: string;
    /**
     * @stability stable
     */
    readonly trafficType?: string;
    /**
     * @stability stable
     */
    readonly tags?: {
        [key: string]: string;
    };
}
/**
 * @stability stable
 */
export declare class EnableVpcFlowLog extends Resource {
    /**
     * @stability stable
     */
    readonly bucketArn?: string;
    /**
     * @stability stable
     */
    readonly cwLogGroupArn?: string;
    /**
     * @stability stable
     */
    constructor(scope: Construct, name: string, props: EnableVpcFlowLogProps);
    /**
     * Add Config Rule for Vpc flow log.
     *
     * @param tags Config Rule tags.
     * @stability stable
     */
    addConfigRule(tags?: any): void;
}
